From aa0f739c91e7b3107eb02c3dd5799b418948aeef Mon Sep 17 00:00:00 2001
From: Alexander Golubev <fatzer2@gmail.com>
Date: Mon, 28 Jul 2025 02:51:42 +0300
Subject: trinity-apps/tde-style-ia-oraa: add USE=gtk

Also avoid installing *.egg files

Signed-off-by: Alexander Golubev <fatzer2@gmail.com>
---
 .../tde-style-ia-ora-14.1.1.ebuild                 | 27 +++++++++++++++++++---
 .../tde-style-ia-ora-14.1.2.ebuild                 | 27 +++++++++++++++++++---
 .../tde-style-ia-ora/tde-style-ia-ora-9999.ebuild  | 25 ++++++++++++++++++--
 3 files changed, 71 insertions(+), 8 deletions(-)

diff --git a/trinity-apps/tde-style-ia-ora/tde-style-ia-ora-14.1.1.ebuild b/trinity-apps/tde-style-ia-ora/tde-style-ia-ora-14.1.1.ebuild
index 38ccbcac..cf7dc055 100644
--- a/trinity-apps/tde-style-ia-ora/tde-style-ia-ora-14.1.1.ebuild
+++ b/trinity-apps/tde-style-ia-ora/tde-style-ia-ora-14.1.1.ebuild
@@ -1,10 +1,10 @@
-# Copyright 2020-2023 Gentoo Authors
-# Copyright 2020-2023 The Trinity Desktop Project
+# Copyright 2020 Gentoo Authors
+# Copyright 2020-2025 The Trinity Desktop Project
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="8"
 
-TRINITY_EXTRAGEAR_PACKAGING="no"
+TRINITY_EXTRAGEAR_PACKAGING="yes"
 
 TRINITY_MODULE_TYPE="applications/themes"
 inherit trinity-base-2
@@ -17,3 +17,24 @@ SLOT="14"
 if [[ ${PV} != *9999* ]] ; then
 	KEYWORDS="~amd64 ~arm64 ~x86"
 fi
+IUSE="gtk"
+
+DEPEND="
+	gtk? ( x11-libs/gtk+:2 )
+"
+RDEPEND="$DEPEND"
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_GTK_ENGINE=$(usex gtk)
+	)
+	trinity-base-2_src_configure
+}
+
+src_install () {
+	trinity-base-2_src_install
+
+	if use gtk; then
+		rm -r "${ED}/usr/$(get_libdir)/gtk-2.0"/*/engines/libia_ora.la || die
+	fi
+}
diff --git a/trinity-apps/tde-style-ia-ora/tde-style-ia-ora-14.1.2.ebuild b/trinity-apps/tde-style-ia-ora/tde-style-ia-ora-14.1.2.ebuild
index f4cc5216..cf7dc055 100644
--- a/trinity-apps/tde-style-ia-ora/tde-style-ia-ora-14.1.2.ebuild
+++ b/trinity-apps/tde-style-ia-ora/tde-style-ia-ora-14.1.2.ebuild
@@ -1,10 +1,10 @@
-# Copyright 2020-2024 Gentoo Authors
-# Copyright 2020-2024 The Trinity Desktop Project
+# Copyright 2020 Gentoo Authors
+# Copyright 2020-2025 The Trinity Desktop Project
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="8"
 
-TRINITY_EXTRAGEAR_PACKAGING="no"
+TRINITY_EXTRAGEAR_PACKAGING="yes"
 
 TRINITY_MODULE_TYPE="applications/themes"
 inherit trinity-base-2
@@ -17,3 +17,24 @@ SLOT="14"
 if [[ ${PV} != *9999* ]] ; then
 	KEYWORDS="~amd64 ~arm64 ~x86"
 fi
+IUSE="gtk"
+
+DEPEND="
+	gtk? ( x11-libs/gtk+:2 )
+"
+RDEPEND="$DEPEND"
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_GTK_ENGINE=$(usex gtk)
+	)
+	trinity-base-2_src_configure
+}
+
+src_install () {
+	trinity-base-2_src_install
+
+	if use gtk; then
+		rm -r "${ED}/usr/$(get_libdir)/gtk-2.0"/*/engines/libia_ora.la || die
+	fi
+}
diff --git a/trinity-apps/tde-style-ia-ora/tde-style-ia-ora-9999.ebuild b/trinity-apps/tde-style-ia-ora/tde-style-ia-ora-9999.ebuild
index 59f3f41f..cf7dc055 100644
--- a/trinity-apps/tde-style-ia-ora/tde-style-ia-ora-9999.ebuild
+++ b/trinity-apps/tde-style-ia-ora/tde-style-ia-ora-9999.ebuild
@@ -1,10 +1,10 @@
 # Copyright 2020 Gentoo Authors
-# Copyright 2020 The Trinity Desktop Project
+# Copyright 2020-2025 The Trinity Desktop Project
 # Distributed under the terms of the GNU General Public License v2
 
 EAPI="8"
 
-TRINITY_EXTRAGEAR_PACKAGING="no"
+TRINITY_EXTRAGEAR_PACKAGING="yes"
 
 TRINITY_MODULE_TYPE="applications/themes"
 inherit trinity-base-2
@@ -17,3 +17,24 @@ SLOT="14"
 if [[ ${PV} != *9999* ]] ; then
 	KEYWORDS="~amd64 ~arm64 ~x86"
 fi
+IUSE="gtk"
+
+DEPEND="
+	gtk? ( x11-libs/gtk+:2 )
+"
+RDEPEND="$DEPEND"
+
+src_configure() {
+	local mycmakeargs=(
+		-DBUILD_GTK_ENGINE=$(usex gtk)
+	)
+	trinity-base-2_src_configure
+}
+
+src_install () {
+	trinity-base-2_src_install
+
+	if use gtk; then
+		rm -r "${ED}/usr/$(get_libdir)/gtk-2.0"/*/engines/libia_ora.la || die
+	fi
+}
-- 
cgit v1.2.3

